<SCL xmlns="http://www.iec.ch/61850/2003/SCL" xmlns:sxy="http://www.iec.ch/61850/2003/SCLcoordinates" revision="B" version="2007">
	<Header id="DER" nameStructure="IEDName" revision="R000" toolID="" version="V0.0">
	</Header>
	<Substation name="RTI">
		<VoltageLevel name="Undefined">
			<Bay name="DER">
				<ConnectivityNode name="L1" pathName="RTI/Undefined/DER/L1"/>
			</Bay>
			<Bay name="Customer_Endpoint">
				<ConnectivityNode name="grounded" pathName="DER/Undefined/Customer_Endpoint/grounded"/>
				<Function name="Physical device">
					<LNode iedName="None" ldInst="DERUndefinedCustomer_EndpointPhysicaldevice" lnClass="LPHD" lnInst="1" lnType="lphd_7_4_B2007" prefix="">
						<Private type="eIEC61850-6-100"/>
					</LNode>
				</Function>
				<Function name="Measurement">
					<LNode iedName="None" ldInst="DERUndefinedCustomer_EndpointMeasurement" lnClass="MMXU" lnInst="1" lnType="mmxu_7_4_B2007" prefix="">
						<Private type="eIEC61850-6-100"/>
					</LNode>
					<LNode iedName="None" ldInst="DERUndefinedCustomer_EndpointMeasurement" lnClass="MMXU" lnInst="2" lnType="mmxu_IEC 61850-7-420" prefix="">
						<Private type="eIEC61850-6-100"/>
					</LNode>
				</Function>
				<Function name="DER gen unit">
					<LNode iedName="None" ldInst="DERUndefinedCustomer_EndpointDERgenunit" lnClass="DGEN" lnInst="1" lnType="dgen_IEC 61850-7-420" prefix="">
						<Private type="eIEC61850-6-100"/>
					</LNode>
				</Function>
				<Function name="LLN0">
					<LNode iedName="None" ldInst="DERUndefinedCustomer_EndpointLLN0" lnClass="LLN0" lnType="lln0_7_4_B2007" prefix="">
						<Private type="eIEC61850-6-100"/>
					</LNode>
				</Function>
				<Function name="Limit Active power">
					<LNode iedName="None" ldInst="DERUndefinedCustomer_EndpointLimitActivepower" lnClass="DWMX" lnInst="1" lnType="dwmx_IEC 61850-7-420" prefix="">
						<Private type="eIEC61850-6-100"/>
					</LNode>
				</Function>
				<Function name="Setpoint">
					<LNode iedName="None" ldInst="DERUndefinedCustomer_EndpointSetpoint" lnClass="GGIO" lnInst="1" lnType="ggio_7_4_B2007" prefix="Spt_reason_">
						<Private type="eIEC61850-6-100"/>
					</LNode>
				</Function>
				<Function name="Set Reactive Power">
					<LNode iedName="None" ldInst="DERUndefinedCustomer_EndpointSetReactivePower" lnClass="DVAR" lnInst="1" lnType="dvar_IEC 61850-7-420" prefix="">
						<Private type="eIEC61850-6-100"/>
					</LNode>
				</Function>
			</Bay>
		</VoltageLevel>
		<Function name="SO Endpoint">
			<LNode iedName="None" ldInst="RTI" lnClass="ITCI" lnInst="1" lnType="itci_7_4_B2007" prefix="">
				<Private type="eIEC61850-6-100"/>
			</LNode>
		</Function>
	</Substation>
	<Communication>
		<SubNetwork name="CUS_DSO" type="8-MMS">
			<ConnectedAP apName="AP1" iedName="IED_2">
				<Address>
					<P type="IP">10.10.1.1</P>
					<P type="OSI-AP-Title">1,3,9999,23</P>
					<P type="IP-SUBNET">255.255.255.0</P>
					<P type="IP-GATEWAY">10.10.0.1</P>
					<P type="OSI-AE-Qualifier">23</P>
					<P type="OSI-PSEL">00000001</P>
					<P type="OSI-SSEL">0001</P>
					<P type="OSI-TSEL">0001</P>
				</Address>
				<GSE ldInst="LD0" cbName="newGSEControl1">
					<Address>
						<P type="MAC-Address" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="tP_MAC-Address">01-0C-CD-01-00-00</P>
						<P type="APPID" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="tP_APPID">0001</P>
					</Address>
					<MinTime unit="s" multiplier="m">10</MinTime>
					<MaxTime unit="s" multiplier="m">1000</MaxTime>
				</GSE>
			</ConnectedAP>
		</SubNetwork>
	</Communication>
	<IED configVersion="1" manufacturer="no manufacturer" type="ied" name="IED_2">
		<Services nameLength="64">
			<DynAssociation max="2"/>
			<GetDirectory/>
			<GetDataObjectDefinition/>
			<DataObjectDirectory/>
			<GetDataSetValue/>
			<DataSetDirectory/>
			<ConfDataSet max="32" maxAttributes="100" modify="true"/>
			<DynDataSet max="32" maxAttributes="100"/>
			<ReadWrite/>
			<ConfReportControl max="16" bufConf="true" bufMode="both"/>
			<GetCBValues/>
			<ReportSettings cbName="Conf" datSet="Conf" bufTime="Conf" intgPd="Conf" optFields="Conf" owner="true" resvTms="true" rptID="Conf" trgOps="Conf"/>
			<ConfLNs fixLnInst="false" fixPrefix="false"/>
			<ClientServices bufReport="true" gsse="false" maxAttributes="250" maxReports="32" readLog="false" supportsLdName="true" sv="false" unbufReport="true">
				<TimeSyncProt sntp="true" c37_238="false" other="false"/>
			</ClientServices>
			<ConfLdName/>
		</Services>
		<AccessPoint clock="false" router="false" name="AP1">
			<Server>
				<Authentication none="true"/>
				<LDevice inst="LD0">
					<LN0 lnType="lln0_7_4_B2007" inst="" lnClass="LLN0">
						<DataSet name="newGSEControl1sDataSet">
							<FCDA ldInst="LD0" prefix="" lnClass="GGIO" lnInst="1" doName="ISCSO" daName="q" fc="ST"/>
							<FCDA ldInst="LD0" prefix="" lnClass="GGIO" lnInst="1" doName="ISCSO" daName="stVal" fc="ST"/>
						</DataSet>
						<GSEControl name="newGSEControl1" type="GOOSE" appID="asdfsad" confRev="1" datSet="newGSEControl1sDataSet"/>
					</LN0>
					<LN lnType="lphd_7_4_B2007" inst="1" lnClass="LPHD"/>
					<LN lnType="dwmx_IEC 61850-7-420" inst="1" lnClass="DWMX"/>
					<LN lnType="dvar_IEC 61850-7-420" inst="1" lnClass="DVAR"/>
					<LN lnType="ggio_7_4_B2007" inst="1" lnClass="GGIO"/>
					<LN lnType="dgen_7_420_B2007" inst="1" lnClass="DGEN"/>
					<LN lnType="mmxu_7_4_B2007" inst="1" lnClass="MMXU"/>
				</LDevice>
			</Server>
		</AccessPoint>
	</IED>
	<DataTypeTemplates>
		<LNodeType id="lphd_7_4_B2007" lnClass="LPHD">
			<DO desc="IEC61850_7_4.LNGroupL::LPHD.PhyNam.desc" name="PhyNam" type="DPL" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupL::LPHD.PhyHealth.desc" name="PhyHealth" type="ens_HealthKind" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupL::LPHD.Proxy.desc" name="Proxy" type="SPS" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupL::LPHD.PwrUp.desc" name="PwrUp" type="SPS" transient="true"/>
		</LNodeType>
		<LNodeType id="mmxu_7_4_B2007" lnClass="MMXU">
			<DO desc="IEC61850_7_4.AbstractLNsCommon::DomainLN.Beh.desc" name="Beh" type="ens_BehaviourModeKind" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupM::MMXU.TotW.desc" name="TotW" type="MV" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupM::MMXU.TotVAr.desc" name="TotVAr" type="MV" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupM::MMXU.PhV.desc" name="PhV" type="WYE" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupM::MMXU.A.desc" name="A" type="WYE" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupM::MMXU.AvWPhs.desc" name="AvWPhs" type="MV" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupM::MMXU.MaxWPhs.desc" name="MaxWPhs" type="MV" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupM::MMXU.MinWPhs.desc" name="MinWPhs" type="MV" transient="false"/>
		</LNodeType>
		<LNodeType desc="DER unit generator" id="dgen_7_420_B2007" lnClass="DGEN">
			<DO desc="IEC61850_7_4.AbstractLNsCommon::DomainLN.NamPlt.desc" name="NamPlt" type="LPL_420" transient="false"/>
			<DO desc="IEC61850_7_4.AbstractLNsCommon::DomainLN.Beh.desc" name="Beh" type="ens_BehaviourModeKind" transient="false"/>
			<DO desc="IEC61850_7_4.AbstractLNsCommon::NonProcessInterfaceLN.OpTmh.desc" name="OpTmh" type="INS" transient="false"/>
			<DO desc="IEC61850_7_420.DERGeneratorLNs::DGEN.DEROpSt.desc" name="DEROpSt" type="DERStateKind_ENS" transient="false"/>
		</LNodeType>
		<!-- This LN is used for the Client Telecontrol Interface 
		Richard:  remove for server, only for client
		-->
		<LNodeType id="itci_7_4_B2007" lnClass="ITCI">
			<DO desc="IEC61850_7_4.AbstractLNsCommon::DomainLN.NamPlt.desc" name="NamPlt" type="LPL" transient="false"/>
			<DO desc="IEC61850_7_4.AbstractLNsCommon::DomainLN.Beh.desc" name="Beh" type="ens_BehaviourModeKind" transient="false"/>
			<DO desc="IEC61850_7_4.AbstractLNsCommon::DomainLN.Health.desc" name="Health" type="ens_HealthKind" transient="false"/>
			<DO desc="IEC61850_7_4.AbstractLNsCommon::DomainLN.Mod.desc" name="Mod" type="enc_BehaviourModeKind" transient="false"/>
			<DO desc="IEC61850_7_4.AbstractLNsCommon::NonProcessInterfaceLN.EEName.desc" name="EEName" type="DPL" transient="false"/>
			<DO desc="IEC61850_7_4.AbstractLNsCommon::NonProcessInterfaceLN.EEHealth.desc" name="EEHealth" type="ens_HealthKind" transient="false"/>
			<DO desc="IEC61850_7_4.AbstractLNsCommon::NonProcessControllingEquipmentInterfaceLN.Loc.desc" name="Loc" type="SPS" transient="false"/>
			<DO desc="IEC61850_7_4.AbstractLNsCommon::NonProcessControllingEquipmentInterfaceLN.LocKey.desc" name="LocKey" type="SPS" transient="false"/>
			<DO desc="IEC61850_7_4.AbstractLNsCommon::NonProcessControllingEquipmentInterfaceLN.LocSta.desc" name="LocSta" type="SPC" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupI::ITCI.Alm.desc" name="Alm" type="SPS" transient="false"/>
		</LNodeType>
		<LNodeType id="lln0_7_4_B2007" lnClass="LLN0">
			<DO desc="IEC61850_7_4.AbstractLNsCommon::DomainLN.Mod.desc" name="Mod" type="enc_BehaviourModeKind" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupL::LLN0.NamPlt.desc" name="NamPlt" type="LPL" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupL::LLN0.Beh.desc" name="Beh" type="ens_BehaviourModeKind" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupL::LLN0.Health.desc" name="Health" type="ens_HealthKind" transient="false"/>
		</LNodeType>
		<LNodeType id="dwmx_IEC 61850-7-420" lnClass="DWMX">
			<DO desc="IEC61850_7_4.AbstractLNsCommon::DomainLN.NamPlt.desc" name="NamPlt" type="LPL_420" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupL::LLN0.Beh.desc" name="Beh" type="ens_BehaviourModeKind" transient="false"/>
			<DO desc="IEC61850_7_420.ActivePowerLNs::DWMX.WMaxSptPct.desc" name="WMaxSptPct" type="APC" transient="false"/>
			<DO desc="IEC61850_7_420.ActivePowerLNs::DWMX.WMaxSpt.desc" name="WMaxSpt" type="APC" transient="false"/>
			<DO desc="IEC61850_7_420.ActivePowerLNs::DWMX.ReqWMaxPct.desc" name="ReqWMaxPct" type="MV" transient="false"/>
			<DO desc="IEC61850_7_420.ActivePowerLNs::DWMX.ReqWMax.desc" name="ReqWMax" type="MV" transient="false"/>
			<DO desc="IEC61850_7_420.ActivePowerLNs::DWMX.WMaxSetPct.desc" name="WMaxSetPct" type="ASG" transient="false"/>
			<DO desc="IEC61850_7_420.ActivePowerLNs::DWMX.WMaxSet.desc" name="WMaxSet" type="ASG" transient="false"/>
			<DO desc="IEC61850_7_420.ActivePowerLNs::DWMX.WMaxFto.desc" name="WMaxFto" type="ING" transient="false"/>
		</LNodeType>
		<LNodeType id="ggio_7_4_B2007" lnClass="GGIO">
			<DO desc="IEC61850_7_4.AbstractLNsCommon::DomainLN.Beh.desc" name="Beh" type="ens_BehaviourModeKind" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupG::GGIO.ISCSO.desc" name="ISCSO" type="INC" transient="false"/>
		</LNodeType>
		<LNodeType id="dvar_IEC 61850-7-420" lnClass="DVAR">
			<DO desc="IEC61850_7_420.AbstractLNs7_420GridCodeModes::ReactivePowerLN.Mod.desc" name="Mod" type="enc_BehaviourModeKind" transient="false"/>
			<DO desc="IEC61850_7_4.LNGroupL::LLN0.Beh.desc" name="Beh" type="ens_BehaviourModeKind" transient="false"/>
			<DO desc="IEC61850_7_4.AbstractLNsCommon::DomainLN.NamPlt.desc" name="NamPlt" type="LPL_420" transient="false"/>
			<DO desc="IEC61850_7_420.AbstractLNs7_420GridCodeModes::ReactivePowerLN.ReqVAr.desc" name="ReqVAr" type="MV" transient="false"/>
			<DO desc="IEC61850_7_420.AbstractLNs7_420GridCodeModes::ReactivePowerLN.VArTgtSpt.desc" name="VArTgtSpt" type="APC" transient="false"/>
		</LNodeType>
		<!-- INS is used by LN ITCI. Maybe have to be removed -->
		<DOType id="INS" cdc="INS">
			<DA bType="INT32" name="stVal" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="VisString255" name="d" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="dataNs" dchg="false" dupd="false" fc="EX" qchg="false"/>
		</DOType>
		<!-- It seems we don't use SPC, part of ITCI, Maybe have to be removed -->
		<DOType id="SPC" cdc="SPC">
			<DA bType="VisString129" name="SBO" dchg="false" dupd="false" fc="CO" qchg="false"/>
			<DA bType="Struct" name="SBOw" type="SBOw_boolean" dchg="false" dupd="false" fc="CO" qchg="false"/>
			<DA bType="Struct" name="Oper" type="Oper_boolean" dchg="false" dupd="false" fc="CO" qchg="false"/>
			<DA bType="Struct" name="Cancel" type="Cancel_boolean" dchg="false" dupd="false" fc="CO" qchg="false"/>
			<DA bType="Struct" name="origin" type="Originator" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="INT8U" name="ctlNum" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="BOOLEAN" name="stVal" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="BOOLEAN" name="stSeld" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="BOOLEAN" name="blkEna" dchg="false" dupd="false" fc="BL" qchg="false"/>
			<DA bType="Struct" name="pulseConfig" type="PulseConfig" dchg="false" dupd="false" fc="CF" qchg="false"/>
			<DA bType="Enum" name="ctlModel" type="CtlModelKind" dchg="false" dupd="false" fc="CF" qchg="false"/>
			<DA bType="INT32U" name="sboTimeout" dchg="false" dupd="false" fc="CF" qchg="false"/>
			<DA bType="Enum" name="sboClass" type="SboClassKind" dchg="false" dupd="false" fc="CF" qchg="false"/>
			<DA bType="INT32U" name="operTimeout" dchg="false" dupd="false" fc="CF" qchg="false"/>
			<DA bType="VisString255" name="d" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="dataNs" dchg="false" dupd="false" fc="EX" qchg="false"/>
		</DOType>
		<DOType id="ING" cdc="ING">
			<DA bType="INT32" name="setVal" dchg="false" dupd="false" fc="SP" qchg="false"/>
			<DA bType="Struct" name="units" type="Unit" dchg="false" dupd="false" fc="CF" qchg="false"/>
			<DA bType="VisString255" name="dataNs" dchg="false" dupd="false" fc="EX" qchg="false"/>
		</DOType>
		<DOType id="ASG" cdc="ASG">
			<DA bType="Struct" type="AnalogueValue" name="setMag" dchg="false" dupd="false" fc="SP" qchg="false"/>
			<DA bType="Struct" name="units" type="Unit" dchg="false" dupd="false" fc="CF" qchg="false"/>
			<DA bType="VisString255" name="dataNs" dchg="false" dupd="false" fc="EX" qchg="false"/>
		</DOType>
		<DOType id="DERStateKind_ENS" cdc="ENS">
			<DA bType="Enum" name="stVal" type="DERStateKind" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="ST" qchg="false"/>
		</DOType>
		<DOType id="ens_StateKind" cdc="ENS">
			<DA bType="Enum" name="stVal" type="StateKind" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="ST" qchg="false"/>
		</DOType>
		<DOType id="ens_HealthKind" cdc="ENS">
			<DA bType="Enum" name="stVal" type="HealthKind" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="ST" qchg="false"/>
		</DOType>
		<!-- Specify the definition of primeOper as DSO (?) look to the standard as standard definition -->
		<DOType id="DPL" cdc="DPL">
			<DA bType="VisString255" name="vendor" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="hwRev" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="swRev" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="serNum" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="model" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="location" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<!--  <DA bType="VisString64" name="name" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="owner" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="ePSName" dchg="false" dupd="false" fc="DC" qchg="false"/>-->
		</DOType>
		<DOType id="SPS" cdc="SPS">
			<DA bType="BOOLEAN" name="stVal" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="ST" qchg="false"/>
		</DOType>
		<DOType id="ens_BehaviourModeKind" cdc="ENS">
			<DA bType="Enum" name="stVal" type="BehaviourModeKind" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="ST" qchg="false"/>
		</DOType>
		<!-- Oper/SBOw/Cancel are defined in part 8-1 -->
		<DOType id="enc_BehaviourModeKind" cdc="ENC">
			<DA bType="Struct" name="Oper" type="Oper_Beh_Mod" dchg="false" dupd="false" fc="CO" qchg="false"/>
			<DA bType="Enum" name="ctlModel" type="CtlModelKind" dchg="false" dupd="false" fc="CF" qchg="false"/>
			<DA bType="INT8U" name="ctlNum" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Enum" name="stVal" type="BehaviourModeKind" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="ST" qchg="false"/>
		</DOType>
		<DOType id="LPL" cdc="LPL">
			<DA bType="VisString255" name="vendor" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="swRev" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="configRev" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="ldNs" dchg="false" dupd="false" fc="EX" qchg="false">
				<Val>IEC 61850-7-4:2007A</Val>
			</DA>
			<DA bType="VisString255" name="lnNs" dchg="false" dupd="false" fc="EX" qchg="false">
				<Val>IEC 61850-7-4:2007A</Val>
			</DA>
		</DOType>
		<DOType id="LPL_420" cdc="LPL">
			<DA bType="VisString255" name="vendor" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="swRev" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="configRev" dchg="false" dupd="false" fc="DC" qchg="false"/>
			<DA bType="VisString255" name="lnNs" dchg="false" dupd="false" fc="EX" qchg="false">
				<Val>IEC 61850-7-420:2019</Val>
			</DA>
		</DOType>
		<DOType id="MV" cdc="MV">
			<DA bType="Struct" name="mag" type="AnalogueValue" dchg="false" dupd="false" fc="MX" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="MX" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="MX" qchg="false"/>
			<DA bType="Struct" name="units" type="Unit" dchg="false" dupd="false" fc="CF" qchg="false"/>
		</DOType>
		<DOType id="CMV" cdc="CMV">
			<DA bType="Struct" name="cVal" type="Vector" dchg="false" dupd="false" fc="MX" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="MX" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="MX" qchg="false"/>
			<DA bType="Struct" name="units" type="Unit" dchg="false" dupd="false" fc="CF" qchg="false"/>
		</DOType>
		<DOType id="WYE" cdc="WYE">
			<SDO type="CMV" name="phsA"/>
			<SDO type="CMV" name="phsB"/>
			<SDO type="CMV" name="phsC"/>
		</DOType>
		<DOType desc="Controllable analogue process value" id="APC" cdc="APC">
			<DA bType="Struct" name="Oper" type="SBOwAnalog" dchg="false" dupd="false" fc="CO" qchg="false"/>
			<DA bType="Struct" name="mxVal" type="AnalogueValue" dchg="true" dupd="false" fc="MX" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="MX" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="MX" qchg="false"/>
			<DA bType="Enum" name="ctlModel" type="ctlModel" dchg="true" dupd="false" fc="CF" qchg="false">
				<Val>status-only</Val>
			</DA>
		</DOType>
		<DOType desc="Controllable integer status " id="INC" cdc="INC">
			<DA bType="Struct" name="Oper" type="SBOwINT32" dchg="false" dupd="false" fc="CO" qchg="false"/>
			<DA bType="INT32" name="stVal" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Quality" name="q" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Timestamp" name="t" dchg="false" dupd="false" fc="ST" qchg="false"/>
			<DA bType="Enum" name="ctlModel" type="ctlModel" dchg="false" dupd="false" fc="CF" qchg="false">
				<Val>status-only</Val>
			</DA>
		</DOType>
		<DAType id="Originator" iedType="">
			<BDA desc="IEC61850_7_2.DomainTypesGeneral::S_Originator.orCat.desc" bType="Enum" name="orCat" type="OriginatorCategoryKind"/>
			<BDA desc="IEC61850_7_2.DomainTypesGeneral::S_Originator.orIdent.desc" bType="Octet64" name="orIdent"/>
		</DAType>
		<DAType id="Oper_boolean" iedType="">
			<BDA desc="IEC 61850-8-1:2003.ctlVal" bType="BOOLEAN" name="ctlVal"/>
			<BDA desc="IEC 61850-8-1:2003.operTm" bType="Timestamp" name="operTm"/>
			<BDA desc="IEC 61850-8-1:2003.origin" bType="Struct" name="origin" type="Originator"/>
			<BDA desc="IEC 61850-8-1:2003.ctlNum" bType="INT8U" name="ctlNum"/>
			<BDA desc="IEC 61850-8-1:2003.T" bType="Timestamp" name="T"/>
			<BDA desc="IEC 61850-8-1:2003.Test" bType="BOOLEAN" name="Test"/>
			<BDA desc="IEC 61850-8-1:2003.Check" bType="Check" name="Check"/>
		</DAType>
		<DAType id="SBOw_boolean" iedType="">
			<BDA desc="IEC 61850-8-1:2003.ctlVal" bType="BOOLEAN" name="ctlVal"/>
			<BDA desc="IEC 61850-8-1:2003.operTm" bType="Timestamp" name="operTm"/>
			<BDA desc="IEC 61850-8-1:2003.origin" bType="Struct" name="origin" type="Originator"/>
			<BDA desc="IEC 61850-8-1:2003.ctlNum" bType="INT8U" name="ctlNum"/>
			<BDA desc="IEC 61850-8-1:2003.T" bType="Timestamp" name="T"/>
			<BDA desc="IEC 61850-8-1:2003.Test" bType="BOOLEAN" name="Test"/>
			<BDA desc="IEC 61850-8-1:2003.Check" bType="Check" name="Check"/>
		</DAType>
		<DAType id="SBOwINT32" iedType="">
			<BDA desc="IEC 61850-8-1:2003.ctlVal" bType="INT32" name="ctlVal"/>
			<BDA desc="IEC 61850-8-1:2003.operTm" bType="Timestamp" name="operTm"/>
			<BDA desc="IEC 61850-8-1:2003.origin" bType="Struct" name="origin" type="Originator"/>
			<BDA desc="IEC 61850-8-1:2003.ctlNum" bType="INT8U" name="ctlNum"/>
			<BDA desc="IEC 61850-8-1:2003.T" bType="Timestamp" name="T"/>
			<BDA desc="IEC 61850-8-1:2003.Test" bType="BOOLEAN" name="Test"/>
			<BDA desc="IEC 61850-8-1:2003.Check" bType="Check" name="Check"/>
		</DAType>
		<DAType id="PulseConfig" iedType="">
			<BDA desc="IEC61850_7_3.ConstructedDAs::PulseConfig.cmdQual.desc" bType="Enum" name="cmdQual" type="OutputSignalKind"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::PulseConfig.onDur.desc" bType="INT32U" name="onDur"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::PulseConfig.offDur.desc" bType="INT32U" name="offDur"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::PulseConfig.numPls.desc" bType="INT32U" name="numPls"/>
		</DAType>
		<DAType id="Unit" iedType="">
			<BDA desc="IEC61850_7_3.ConstructedDAs::Unit.SIUnit.desc" bType="Enum" name="SIUnit" type="SIUnitKind"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::Unit.multiplier.desc" bType="Enum" name="multiplier" type="MultiplierKind"/>
		</DAType>
		<DAType id="Cancel_boolean" iedType="">
			<BDA desc="IEC 61850-8-1:2003.ctlVal" bType="BOOLEAN" name="ctlVal"/>
			<BDA desc="IEC 61850-8-1:2003.operTm" bType="Timestamp" name="operTm"/>
			<BDA desc="IEC 61850-8-1:2003.origin" bType="Struct" name="origin" type="Originator"/>
			<BDA desc="IEC 61850-8-1:2003.ctlNum" bType="INT8U" name="ctlNum"/>
			<BDA desc="IEC 61850-8-1:2003.T" bType="Timestamp" name="T"/>
			<BDA desc="IEC 61850-8-1:2003.Test" bType="BOOLEAN" name="Test"/>
		</DAType>
		<DAType id="Oper_Beh_Mod" iedType="">
			<BDA desc="IEC 61850-8-1:2003.ctlVal" bType="Enum" name="ctlVal" type="BehaviourModeKind"/>
			<BDA desc="IEC 61850-8-1:2003.operTm" bType="Timestamp" name="operTm"/>
			<BDA desc="IEC 61850-8-1:2003.origin" bType="Struct" name="origin" type="Originator"/>
			<BDA desc="IEC 61850-8-1:2003.ctlNum" bType="INT8U" name="ctlNum"/>
			<BDA desc="IEC 61850-8-1:2003.T" bType="Timestamp" name="T"/>
			<BDA desc="IEC 61850-8-1:2003.Test" bType="BOOLEAN" name="Test"/>
			<BDA desc="IEC 61850-8-1:2003.Check" bType="Check" name="Check"/>
		</DAType>
		<DAType id="SBOwAnalog">
			<BDA name="ctlVal" bType="Struct" type="AnalogueValue"/>
			<BDA name="origin" bType="Struct" type="Originator"/>
			<BDA name="ctlNum" bType="INT8U"/>
			<BDA name="T" bType="Timestamp"/>
			<BDA name="Test" bType="BOOLEAN"/>
			<BDA name="Check" bType="Check"/>
			<ProtNs type="8-MMS">IEC 61850-8-1:2003</ProtNs>
		</DAType>
		<DAType id="SBOw_Beh_Mod" iedType="">
			<BDA desc="IEC 61850-8-1:2003.ctlVal" bType="Enum" name="ctlVal" type="BehaviourModeKind"/>
			<BDA desc="IEC 61850-8-1:2003.operTm" bType="Timestamp" name="operTm"/>
			<BDA desc="IEC 61850-8-1:2003.origin" bType="Struct" name="origin" type="Originator"/>
			<BDA desc="IEC 61850-8-1:2003.ctlNum" bType="INT8U" name="ctlNum"/>
			<BDA desc="IEC 61850-8-1:2003.T" bType="Timestamp" name="T"/>
			<BDA desc="IEC 61850-8-1:2003.Test" bType="BOOLEAN" name="Test"/>
			<BDA desc="IEC 61850-8-1:2003.Check" bType="Check" name="Check"/>
		</DAType>
		<DAType id="Cancel_Beh_Mod" iedType="">
			<BDA desc="IEC 61850-8-1:2003.ctlVal" bType="Enum" name="ctlVal" type="BehaviourModeKind"/>
			<BDA desc="IEC 61850-8-1:2003.operTm" bType="Timestamp" name="operTm"/>
			<BDA desc="IEC 61850-8-1:2003.origin" bType="Struct" name="origin" type="Originator"/>
			<BDA desc="IEC 61850-8-1:2003.ctlNum" bType="INT8U" name="ctlNum"/>
			<BDA desc="IEC 61850-8-1:2003.T" bType="Timestamp" name="T"/>
			<BDA desc="IEC 61850-8-1:2003.Test" bType="BOOLEAN" name="Test"/>
		</DAType>
		<DAType id="AnalogueValue" iedType="">
			<BDA desc="IEC61850_7_3.AnalogueValue::AnalogueValue.f.desc" bType="FLOAT32" name="f"/>
		</DAType>
		<DAType id="ScaledValueConfig" iedType="">
			<BDA desc="IEC61850_7_3.ConstructedDAs::ScaledValueConfig.scaleFactor.desc" bType="FLOAT32" name="scaleFactor"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::ScaledValueConfig.offset.desc" bType="FLOAT32" name="offset"/>
		</DAType>
		<DAType id="Vector" iedType="">
			<BDA desc="IEC61850_7_3.ConstructedDAs::Vector.mag.desc" bType="Struct" name="mag" type="AnalogueValue"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::Vector.ang.desc" bType="Struct" name="ang" type="AnalogueValue"/>
		</DAType>
		<DAType id="RangeConfig" iedType="">
			<BDA desc="IEC61850_7_3.ConstructedDAs::RangeConfig.hhLim.desc" bType="Struct" name="hhLim" type="AnalogueValue"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::RangeConfig.hLim.desc" bType="Struct" name="hLim" type="AnalogueValue"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::RangeConfig.lLim.desc" bType="Struct" name="lLim" type="AnalogueValue"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::RangeConfig.llLim.desc" bType="Struct" name="llLim" type="AnalogueValue"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::RangeConfig.min.desc" bType="Struct" name="min" type="AnalogueValue"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::RangeConfig.max.desc" bType="Struct" name="max" type="AnalogueValue"/>
			<BDA desc="IEC61850_7_3.ConstructedDAs::RangeConfig.limDb.desc" bType="INT32U" name="limDb"/>
		</DAType>
		<EnumType id="CtlModelKind">
			<EnumVal desc="status-only" ord="0">status-only</EnumVal>
			<EnumVal desc="direct-with-normal-security" ord="1">direct-with-normal-security</EnumVal>
			<EnumVal desc="sbo-with-normal-security" ord="2">sbo-with-normal-security</EnumVal>
			<EnumVal desc="direct-with-enhanced-security" ord="3">direct-with-enhanced-security</EnumVal>
			<EnumVal desc="sbo-with-enhanced-security" ord="4">sbo-with-enhanced-security</EnumVal>
		</EnumType>
		<EnumType id="HealthKind">
			<EnumVal desc="Ok" ord="1">Ok</EnumVal>
			<EnumVal desc="Warning" ord="2">Warning</EnumVal>
			<EnumVal desc="Alarm" ord="3">Alarm</EnumVal>
		</EnumType>
		<EnumType id="DERStateKind">
			<EnumVal ord="1">on but disconnected and not ready</EnumVal>
			<EnumVal ord="2">starting up</EnumVal>
			<EnumVal ord="3">disconnected and available</EnumVal>
			<EnumVal ord="4">disconnected and authorized</EnumVal>
			<EnumVal ord="5">synchronizing</EnumVal>
			<EnumVal ord="6">running</EnumVal>
			<EnumVal ord="7">stopping and disconnecting under emergency conditions</EnumVal>
			<EnumVal ord="8">stopping</EnumVal>
			<EnumVal ord="9">disconnected and blocked</EnumVal>
			<EnumVal ord="10">disconnected and in maintenance</EnumVal>
			<EnumVal ord="11">failed</EnumVal>
			<EnumVal ord="98">Not applicable or not known</EnumVal>
		</EnumType>
		<EnumType id="OriginatorCategoryKind">
			<EnumVal desc="not-supported" ord="0">not-supported</EnumVal>
			<EnumVal desc="bay-control" ord="1">bay-control</EnumVal>
			<EnumVal desc="station-control" ord="2">station-control</EnumVal>
			<EnumVal desc="remote-control" ord="3">remote-control</EnumVal>
			<EnumVal desc="automatic-bay" ord="4">automatic-bay</EnumVal>
			<EnumVal desc="automatic-station" ord="5">automatic-station</EnumVal>
			<EnumVal desc="automatic-remote" ord="6">automatic-remote</EnumVal>
			<EnumVal desc="maintenance" ord="7">maintenance</EnumVal>
			<EnumVal desc="process" ord="8">process</EnumVal>
		</EnumType>
		<EnumType id="MultiplierKind">
			<EnumVal desc="y" ord="-24">y</EnumVal>
			<EnumVal desc="z" ord="-21">z</EnumVal>
			<EnumVal desc="a" ord="-18">a</EnumVal>
			<EnumVal desc="f" ord="-15">f</EnumVal>
			<EnumVal desc="p" ord="-12">p</EnumVal>
			<EnumVal desc="n" ord="-9">n</EnumVal>
			<EnumVal desc="µ" ord="-6">µ</EnumVal>
			<EnumVal desc="m" ord="-3">m</EnumVal>
			<EnumVal desc="c" ord="-2">c</EnumVal>
			<EnumVal desc="d" ord="-1">d</EnumVal>
			<EnumVal desc="" ord="0"/>
			<EnumVal desc="da" ord="1">da</EnumVal>
			<EnumVal desc="h" ord="2">h</EnumVal>
			<EnumVal desc="k" ord="3">k</EnumVal>
			<EnumVal desc="M" ord="6">M</EnumVal>
			<EnumVal desc="G" ord="9">G</EnumVal>
			<EnumVal desc="T" ord="12">T</EnumVal>
			<EnumVal desc="P" ord="15">P</EnumVal>
			<EnumVal desc="E" ord="18">E</EnumVal>
			<EnumVal desc="Z" ord="21">Z</EnumVal>
			<EnumVal desc="Y" ord="24">Y</EnumVal>
		</EnumType>
		<EnumType id="SIUnitKind">
			<EnumVal desc="" ord="1"/>
			<EnumVal desc="m" ord="2">m</EnumVal>
			<EnumVal desc="kg" ord="3">kg</EnumVal>
			<EnumVal desc="s" ord="4">s</EnumVal>
			<EnumVal desc="A" ord="5">A</EnumVal>
			<EnumVal desc="K" ord="6">K</EnumVal>
			<EnumVal desc="mol" ord="7">mol</EnumVal>
			<EnumVal desc="cd" ord="8">cd</EnumVal>
			<EnumVal desc="deg" ord="9">deg</EnumVal>
			<EnumVal desc="rad" ord="10">rad</EnumVal>
			<EnumVal desc="sr" ord="11">sr</EnumVal>
			<EnumVal desc="Gy" ord="21">Gy</EnumVal>
			<EnumVal desc="Bq" ord="22">Bq</EnumVal>
			<EnumVal desc="°C" ord="23">°C</EnumVal>
			<EnumVal desc="Sv" ord="24">Sv</EnumVal>
			<EnumVal desc="F" ord="25">F</EnumVal>
			<EnumVal desc="C" ord="26">C</EnumVal>
			<EnumVal desc="S" ord="27">S</EnumVal>
			<EnumVal desc="H" ord="28">H</EnumVal>
			<EnumVal desc="V" ord="29">V</EnumVal>
			<EnumVal desc="ohm" ord="30">ohm</EnumVal>
			<EnumVal desc="J" ord="31">J</EnumVal>
			<EnumVal desc="N" ord="32">N</EnumVal>
			<EnumVal desc="Hz" ord="33">Hz</EnumVal>
			<EnumVal desc="lx" ord="34">lx</EnumVal>
			<EnumVal desc="Lm" ord="35">Lm</EnumVal>
			<EnumVal desc="Wb" ord="36">Wb</EnumVal>
			<EnumVal desc="T" ord="37">T</EnumVal>
			<EnumVal desc="W" ord="38">W</EnumVal>
			<EnumVal desc="Pa" ord="39">Pa</EnumVal>
			<EnumVal desc="m²" ord="41">m²</EnumVal>
			<EnumVal desc="m³" ord="42">m³</EnumVal>
			<EnumVal desc="m/s" ord="43">m/s</EnumVal>
			<EnumVal desc="m/s²" ord="44">m/s²</EnumVal>
			<EnumVal desc="m³/s" ord="45">m³/s</EnumVal>
			<EnumVal desc="m/m³" ord="46">m/m³</EnumVal>
			<EnumVal desc="M" ord="47">M</EnumVal>
			<EnumVal desc="kg/m³" ord="48">kg/m³</EnumVal>
			<EnumVal desc="m²/s" ord="49">m²/s</EnumVal>
			<EnumVal desc="W/m K" ord="50">W/m K</EnumVal>
			<EnumVal desc="J/K" ord="51">J/K</EnumVal>
			<EnumVal desc="ppm" ord="52">ppm</EnumVal>
			<EnumVal desc="1/s" ord="53">1/s</EnumVal>
			<EnumVal desc="rad/s" ord="54">rad/s</EnumVal>
			<EnumVal desc="W/m²" ord="55">W/m²</EnumVal>
			<EnumVal desc="J/m²" ord="56">J/m²</EnumVal>
			<EnumVal desc="S/m" ord="57">S/m</EnumVal>
			<EnumVal desc="K/s" ord="58">K/s</EnumVal>
			<EnumVal desc="Pa/s" ord="59">Pa/s</EnumVal>
			<EnumVal desc="J/kg K" ord="60">J/kg K</EnumVal>
			<EnumVal desc="VA" ord="61">VA</EnumVal>
			<EnumVal desc="Watts" ord="62">Watts</EnumVal>
			<EnumVal desc="VAr" ord="63">VAr</EnumVal>
			<EnumVal desc="phi" ord="64">phi</EnumVal>
			<EnumVal desc="cos(phi)" ord="65">cos(phi)</EnumVal>
			<EnumVal desc="Vs" ord="66">Vs</EnumVal>
			<EnumVal desc="V²" ord="67">V²</EnumVal>
			<EnumVal desc="As" ord="68">As</EnumVal>
			<EnumVal desc="A²" ord="69">A²</EnumVal>
			<EnumVal desc="A²t" ord="70">A²t</EnumVal>
			<EnumVal desc="VAh" ord="71">VAh</EnumVal>
			<EnumVal desc="Wh" ord="72">Wh</EnumVal>
			<EnumVal desc="VArh" ord="73">VArh</EnumVal>
			<EnumVal desc="V/Hz" ord="74">V/Hz</EnumVal>
			<EnumVal desc="Hz/s" ord="75">Hz/s</EnumVal>
			<EnumVal desc="char" ord="76">char</EnumVal>
			<EnumVal desc="char/s" ord="77">char/s</EnumVal>
			<EnumVal desc="kgm²" ord="78">kgm²</EnumVal>
			<EnumVal desc="dB" ord="79">dB</EnumVal>
			<EnumVal desc="J/Wh" ord="80">J/Wh</EnumVal>
			<EnumVal desc="W/s" ord="81">W/s</EnumVal>
			<EnumVal desc="l/s" ord="82">l/s</EnumVal>
			<EnumVal desc="dBm" ord="83">dBm</EnumVal>
			<EnumVal desc="h" ord="84">h</EnumVal>
			<EnumVal desc="min" ord="85">min</EnumVal>
		</EnumType>
		<EnumType id="SboClassKind">
			<EnumVal desc="operate-once" ord="0">operate-once</EnumVal>
			<EnumVal desc="operate-many" ord="1">operate-many</EnumVal>
		</EnumType>
		<EnumType id="OutputSignalKind">
			<EnumVal desc="pulse" ord="0">pulse</EnumVal>
			<EnumVal desc="persistent" ord="1">persistent</EnumVal>
			<EnumVal desc="persistent-feedback" ord="2">persistent-feedback</EnumVal>
		</EnumType>
		<EnumType id="BehaviourModeKind">
			<EnumVal desc="on" ord="1">on</EnumVal>
			<EnumVal desc="blocked" ord="2">blocked</EnumVal>
			<EnumVal desc="test" ord="3">test</EnumVal>
			<EnumVal desc="test/blocked" ord="4">test/blocked</EnumVal>
			<EnumVal desc="off" ord="5">off</EnumVal>
		</EnumType>
		<EnumType id="RangeKind">
			<EnumVal desc="normal" ord="0">normal</EnumVal>
			<EnumVal desc="high" ord="1">high</EnumVal>
			<EnumVal desc="low" ord="2">low</EnumVal>
			<EnumVal desc="high-high" ord="3">high-high</EnumVal>
			<EnumVal desc="low-low" ord="4">low-low</EnumVal>
		</EnumType>
		<EnumType id="AngleReferenceKind">
			<EnumVal desc="V" ord="0">V</EnumVal>
			<EnumVal desc="A" ord="1">A</EnumVal>
			<EnumVal desc="other" ord="2">other</EnumVal>
			<EnumVal desc="Synchrophasor" ord="3">Synchrophasor</EnumVal>
		</EnumType>
		<EnumType id="PFSignKind">
			<EnumVal desc="IEC" ord="1">IEC</EnumVal>
			<EnumVal desc="EEI" ord="2">EEI</EnumVal>
		</EnumType>
		<EnumType id="PhaseAngleReferenceKind">
			<EnumVal desc="Va" ord="0">Va</EnumVal>
			<EnumVal desc="Vb" ord="1">Vb</EnumVal>
			<EnumVal desc="Vc" ord="2">Vc</EnumVal>
			<EnumVal desc="Aa" ord="3">Aa</EnumVal>
			<EnumVal desc="Ab" ord="4">Ab</EnumVal>
			<EnumVal desc="Ac" ord="5">Ac</EnumVal>
			<EnumVal desc="Vab" ord="6">Vab</EnumVal>
			<EnumVal desc="Vbc" ord="7">Vbc</EnumVal>
			<EnumVal desc="Vca" ord="8">Vca</EnumVal>
			<EnumVal desc="Vother" ord="9">Vother</EnumVal>
			<EnumVal desc="Aother" ord="10">Aother</EnumVal>
			<EnumVal desc="Synchrophasor" ord="11">Synchrophasor</EnumVal>
		</EnumType>
		<EnumType id="sboClass">
			<EnumVal desc="operate-once" ord="0">operate-once</EnumVal>
			<EnumVal desc="operate-many" ord="1">operate-many</EnumVal>
		</EnumType>
		<EnumType id="ctlModel">
			<EnumVal desc="status-only" ord="0">status-only</EnumVal>
			<EnumVal desc="direct-with-normal-security" ord="1">direct-with-normal-security</EnumVal>
			<EnumVal desc="sbo-with-normal-security" ord="2">sbo-with-normal-security</EnumVal>
			<EnumVal desc="direct-with-enhanced-security" ord="3">direct-with-enhanced-security</EnumVal>
			<EnumVal desc="sbo-with-enhanced-security" ord="4">sbo-with-enhanced-security</EnumVal>
		</EnumType>
		<EnumType id="stVal">
			<EnumVal desc="intermediate-state" ord="0">intermediate-state</EnumVal>
			<EnumVal desc="off" ord="1">off</EnumVal>
			<EnumVal desc="on" ord="2">on</EnumVal>
			<EnumVal desc="bad-state" ord="3">bad-state</EnumVal>
		</EnumType>
	</DataTypeTemplates>
</SCL>